<?php
/**
* @version		$Id: mod_alphauserpoints_lastpointsearnedby.php 2008-08-31 v1.0.0 $
* @package		AlphaUserPoints for Joomla
* @copyright	Copyright (C) 2008. All rights reserved.
* @license		GNU/GPL, see LICENSE.php
* Joomla! is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
* See COPYRIGHT.php for copyright notices and details.
*/

// no direct access
defined('_JEXEC') or die('Restricted access');

class modAlphaUserPointsLastPointsEarnedByHelper {

	function getList(&$params) {
		global $mainframe;

		$db			      =& JFactory::getDBO();
		
		// exclude specific users of this list
		$excludeuser = array();		
		$excludeusers = "";
		$query = "SELECT exclude_items FROM #__alpha_userpoints_rules WHERE `plugin_function`='sysplgaup_excludeusers' AND `published`='1'";
		$db->setQuery( $query );
		$result  = $db->loadResult();		
		if ( $result ) {		
			$excludeuser = explode( ",", $result);
			for ($i=0, $n=count($excludeuser); $i < $n; $i++) {		
				$excludeusers .= " AND aup.referreid!='" . trim($excludeuser[$i]) . "'";
			}			
		}
				
		$count		      = intval($params->get('count', 5));
		$showheader		  = intval($params->get('showheader', 1));
		$showleaderboard  = intval($params->get('showdate', 1));
		$usrname		  = trim($params->get('usrname', 'name'));		
		
		$nullDate	= $db->getNullDate();
		$date =& JFactory::getDate();
		$now  = $date->toMySQL();		
				
		$query = "SELECT a.insert_date, a.referreid, a.points AS last_points, u.$usrname AS usrname"
			   . " FROM #__alpha_userpoints_details AS a, #__alpha_userpoints AS aup, #__users AS u"
			   . " WHERE aup.referreid=a.referreid AND aup.userid=u.id AND a.approved='1' AND (a.expire_date>='$now' OR a.expire_date='0000-00-00 00:00:00')"
			   . $excludeusers
			   . " ORDER BY a.insert_date DESC"		
		 	   ;
		$db->setQuery($query, 0, $count);
		$rows = $db->loadObjectList();
	
		return $rows;
	
	}
}
?>